.hero-section .container {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: var(--y-space-24);
}
.hero-section {
  background: var(--y-color-bg-gradient);
  position: relative;
  padding-block: var(--y-space-120) !important;
  padding-bottom: var(--y-space-144) !important;
  margin: 0;
}
.hero-section > img {
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  width: 100%;
  height: 20%;
  object-fit: fill;
}
.hero-section .container .right {
  display: flex;
  flex-direction: column;
  gap: var(--y-space-24);
}
.hero-section .container .right p {
  font-size: var(--y-space-32);
  color: var(--y-color-text);
}
.hero-section .container .right p:nth-child(2) {
  font-weight: 700;
}
.hero-section .container .right p:nth-child(3) {
  font-weight: 300;
  color: var(--y-color-muted);
}
.hero-section .container .left {
  display: flex;
  position: relative;
  gap: var(--y-space-24);
  height: 110%;
}
.hero-section .container .left img {
  width: 220px;
  height: 390px;
  object-fit: cover;
  background-position: center;
  border-radius: var(--y-space-336);
}
.hero-section .container .left img:nth-child(1) {
  position: absolute;
  bottom: -4%;
  right: 8%;
}
.hero-section .container .left img:nth-child(2) {
  position: absolute;
  top: -3%;
  left: 4%;
}
.hero-section .container .right h2 {
  font-size: var(--y-space-64);
  font-style: italic;

  color: var(--y-color-pink);
}
.hero-section .container .right p:first-child {
  font-size: var(--y-space-32);
  font-weight: 700;
  color: var(--y-color-text);
}
.hero-section .container .right p:last-child {
  font-size: var(--y-space-32);
  font-weight: 300;
  color: var(--y-color-muted);
}
.main-button {
  font-size: var(--y-space-20);
  font-weight: 700;
  color: var(--y-color-text);
  background-color: var(--y-color-icon);
  padding: var(--y-space-16) var(--y-space-64);
  border-radius: var(--y-space-16);
  box-shadow: 0px 5px 5px 1px var(--y-color-border);
  transition: all 0.3s ease;
  width: fit-content;
}
.main-button:hover {
  background-color: var(--y-color-secondary);
  color: var(--y-color-fg);
}

.categories-section .container {
  display: flex;
  flex-direction: column;
  gap: var(--y-space-24);
}
.categories-section h2 {
  font-size: var(--y-space-48);
  font-weight: 300;
  color: var(--y-color-text);
}
.categories-section .categories-grid {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: var(--y-space-24);
}
.categories-section .categories-grid .category-item {
  display: flex;
  flex-direction: column;
  gap: var(--y-space-24);
  position: relative;
  border-radius: var(--y-space-20);
  height: 300px;
  transition: all 0.3s ease;
  overflow: hidden;
}
.categories-section .categories-grid .category-item img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: var(--y-space-20);
  transition: transform 0.3s ease-in-out;
  transform-origin: center;
}
.categories-section .categories-grid .category-item p {
  font-size: var(--y-space-30);
  font-weight: 700;
  color: var(--y-color-text);
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  text-align: center;
  background-color: #ffffffb2;
  backdrop-filter: blur(3px);
  padding: var(--y-space-24) var(--y-space-36);
  border-radius: var(--y-space-20);
  box-shadow: 0 0 20px 6px #323232ad;
  transition: all 0.3s ease;
  width: 48.4%;
  height: 32%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.categories-section .categories-grid .category-item:hover p {
  width: 70%;
  height: 70%;
}
.categories-section .categories-grid .category-item:hover img {
  transform: scale(1.5);
}

.products-section {
  background: var(--y-color-bg-gradient);
  padding-block: var(--y-space-80) !important;
}
.products-section .products-grid .special {
  background-color: transparent;
  border: none;
  padding: var(--y-space-24);
  box-shadow: none;
  justify-content: center;
  gap: var(--y-space-16);
  cursor: default;
}
.product-card.special:hover {
  box-shadow: none;
  transform: none;
}
.products-section .products-grid .special h2 {
  font-size: var(--y-space-48);
  font-weight: 300;
  color: var(--y-color-text);
}
.main-button.mobile-button {
  display: none;
}

@media (max-width: 768px) {
  .hero-section .container .right {
    align-items: center;
    text-align: center;
  }
  .hero-section .container .left {
    height: 60vh;
    width: 100%;
  }
  .hero-section .container {
    display: flex;
    flex-direction: column;
    align-items: center;
  }

  .hero-section .container .left img:nth-child(1) {
    bottom: auto;
    right: 5vw;
    top: 10%;
  }
  .hero-section .container .left img:nth-child(2) {
    bottom: 10%;
    left: 5vw;
    top: auto;
  }
  .categories-section .categories-grid .category-item p {
    font-size: var(--y-space-14);
  }
  .hero-section > img {
    height: 12vh;
  }
  .hero-section .container .left img {
    width: 40%;
    height: auto;
    aspect-ratio: 1 / 2.177;
  }
}
@media (max-width: 576px) {
  .categories-section .categories-grid {
    grid-template-columns: repeat(1, 1fr);
  }

  .products-section .products-grid .special {
    text-align: center;
    align-items: center;
  }

  .main-button:not(.mobile-button) {
    display: none;
  }

  .main-button.mobile-button {
    display: block;
  }

  .products-section .container {
    display: flex;
    flex-direction: column;
    gap: var(--y-space-18);
    align-items: center;
  }
  .hero-section .container {
    gap: var(--y-space-0);
  }
}
